GDCM: gdcm::Element< VR::OB, VM::VM1 > Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Element< VR::OB, VM::VM1 > Class Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< VR::OB, VM::VM1 >:
[legend]
Collaboration diagram for gdcm::Element< VR::OB, VM::VM1 >:
[legend]

## Public Types
typedef VRToType< TVR >::Type | Type
Public Types inherited from gdcm::Element< VR::OB, VM::VM1_n >
typedef VRToType< TVR >::Type | Type

## Public Member Functions
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
Public Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const

## Static Public Member Functions
static VM | GetVM ()
static VR | GetVR ()
Static Public Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]
Public Attributes inherited from gdcm::Element< VR::OB, VM::VM1_n >
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]

## Protected Member Functions
void | SetNoSwap (Value const &v)
Protected Member Functions inherited from gdcm::Element< VR::OB, VM::VM1_n >
void | SetNoSwap (Value const &v)

## Member Typedef Documentation

## ◆ Type

typedef VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Type

## Member Function Documentation

## ◆ GetAsDataElement()

DataElement gdcm::Element< TVR, TVM >::GetAsDataElement | ( |  | ) | const
| inline

## ◆ GetLength()

unsigned long gdcm::Element< TVR, TVM >::GetLength | ( |  | ) | const
| inline

## ◆ GetValue()

const VRToType< TVR >::Type & gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) | const
| inline

## ◆ GetValues()

const VRToType< TVR >::Type * gdcm::Element< TVR, TVM >::GetValues | ( |  | ) | const
| inline

## ◆ GetVM()

VM gdcm::Element< TVR, TVM >::GetVM | ( |  | ) |
| inlinestatic

## ◆ GetVR()

VR gdcm::Element< TVR, TVM >::GetVR | ( |  | ) |
| inlinestatic

## ◆ operator[]()

VRToType< TVR >::Type gdcm::Element< TVR, TVM >::operator[] | ( | unsigned int | idx | ) | const
| inline

## ◆ Print()

void gdcm::Element< TVR, TVM >::Print | ( | std::ostream & | _os | ) | const
| inline

## ◆ Read()

void gdcm::Element< TVR, TVM >::Read | ( | std::istream & | _is | ) |
| inline

## ◆ Set()

void gdcm::Element< TVR, TVM >::Set | ( | Value const & | v | ) |
| inline

## ◆ SetFromDataElement()

void gdcm::Element< TVR, TVM >::SetFromDataElement | ( | DataElement< VR::OB, VM::VM1 > const & | de | ) |
| inline

## ◆ SetNoSwap()

void gdcm::Element< TVR, TVM >::SetNoSwap | ( | Value const & | v | ) |
| inlineprotected

## ◆ SetValue()

void gdcm::Element< TVR, TVM >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = 0 )
| inline

## ◆ Write()

void gdcm::Element< TVR, TVM >::Write | ( | std::ostream & | _os | ) | const
| inline

## Member Data Documentation

## ◆ Internal

VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Internal[VMToLength< TVM >::Length]

The documentation for this class was generated from the following file:

- gdcmElement.h